Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.ehealth.businessconnector.mycarenet.attestv2.helper
Class RequestObjectBuilderHelper

    java.lang.Object
      be.ehealth.businessconnector.mycarenet.attestv2.helper.RequestObjectBuilderHelper

    public final class RequestObjectBuilderHelper

extends Object

Helper class used to build request object

Method Summary
`static Blob` | `buildBlobWithEncryptedKnownContent(String id, EncryptedKnownContent encryptedKnownContent, String encodingType, String contentType, String messageName, String contentEncryption, String projectIdentifier)`
`static Blob` | `buildBlobWithRequestEncrypted(String id, SendTransactionRequest request, String encodingType, String contentType, String messageName, String projectIdentifier)`
`static BusinessContent` | `buildBusinessContent(SendTransactionRequest request, String detailId)`
`static EncryptedKnownContent` | `buildEncryptedKnownContent(BusinessContent businessContent)`
`static RequestType` | `buildRequest(InputReference references)`
`static
`<T> SendRequestType`
` | `buildSendRequestType(boolean isTest, InputReference references, Ssin patientSsin, org.joda.time.DateTime referenceDate, Blob blob, String projectIdentifier, Class<T> clazz)`
`static CancelAttestationRequest` | `buildSendRequestTypeWithXades(boolean isTest, InputReference references, Ssin patientSsin, org.joda.time.DateTime referenceDate, Blob blob)`
`static SendTransactionRequest` | `buildSendTransactionRequest(InputReference references, Kmehrmessage msg)`
`static Base64Binary` | `buildXades(Blob blob, SendRequestType sendRequestType)`
`static void` | `checkInputParameters(InputReference inputReference, Ssin patientSsin, org.joda.time.DateTime referenceDate)`
`static void` | `checkParameterNotNull(Object references, String parameterName)`
`static void` | `setMessageProtocoleSchemaVersion(SendTransactionRequest request, String schema)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### buildSendRequestTypeWithXades

    public static CancelAttestationRequest buildSendRequestTypeWithXades(boolean isTest,
                                                                         InputReference references,
                                                                         Ssin patientSsin,
                                                                         org.joda.time.DateTime referenceDate,
                                                                         Blob blob)
                                                                  throws TechnicalConnectorException

  Throws:
    `TechnicalConnectorException`

### buildSendRequestType

    public static <T> SendRequestType buildSendRequestType(boolean isTest,
                                                           InputReference references,
                                                           Ssin patientSsin,
                                                           org.joda.time.DateTime referenceDate,
                                                           Blob blob,
                                                           String projectIdentifier,
                                                           Class<T> clazz)
                                                throws TechnicalConnectorException

  Throws:
    `TechnicalConnectorException`

### buildBusinessContent

    public static BusinessContent buildBusinessContent(SendTransactionRequest request,
                                                       String detailId)

### buildSendTransactionRequest

    public static SendTransactionRequest buildSendTransactionRequest(InputReference references,
                                                                     Kmehrmessage msg)
                                                              throws TechnicalConnectorException

  Throws:
    `TechnicalConnectorException`

### setMessageProtocoleSchemaVersion

    public static void setMessageProtocoleSchemaVersion(SendTransactionRequest request,
                                                        String schema)
                                                 throws TechnicalConnectorException

  Throws:
    `TechnicalConnectorException`

### buildXades

    public static Base64Binary buildXades(Blob blob,
                                          SendRequestType sendRequestType)
                                   throws TechnicalConnectorException

  Throws:
    `TechnicalConnectorException`

### buildRequest

    public static RequestType buildRequest(InputReference references)
                                    throws TechnicalConnectorException

  Throws:
    `TechnicalConnectorException`

### checkInputParameters

    public static void checkInputParameters(InputReference inputReference,
                                            Ssin patientSsin,
                                            org.joda.time.DateTime referenceDate)
                                     throws AttestBusinessConnectorException

  Throws:
    `AttestBusinessConnectorException`

### checkParameterNotNull

    public static void checkParameterNotNull(Object references,
                                             String parameterName)
                                      throws AttestBusinessConnectorException

  Throws:
    `AttestBusinessConnectorException`

### buildBlobWithEncryptedKnownContent

    public static Blob buildBlobWithEncryptedKnownContent(String id,
                                                          EncryptedKnownContent encryptedKnownContent,
                                                          String encodingType,
                                                          String contentType,
                                                          String messageName,
                                                          String contentEncryption,
                                                          String projectIdentifier)
                                                   throws TechnicalConnectorException

  Throws:
    `TechnicalConnectorException`

### buildBlobWithRequestEncrypted

    public static Blob buildBlobWithRequestEncrypted(String id,
                                                     SendTransactionRequest request,
                                                     String encodingType,
                                                     String contentType,
                                                     String messageName,
                                                     String projectIdentifier)
                                              throws TechnicalConnectorException

  Throws:
    `TechnicalConnectorException`

### buildEncryptedKnownContent

    public static EncryptedKnownContent buildEncryptedKnownContent(BusinessContent businessContent)
                                                            throws TechnicalConnectorException

  Throws:
    `TechnicalConnectorException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPHYSICIAN 3.21.2 API
Copyright © {inceptionYear}-2021 eHealth. All Rights Reserved.